;;GLOS (Graphic Library in Open Source), an ANSI Common Lisp OpenGL subset.
;;Copyright (C) 2000 the GLOS development team (http://glos.sourceforge.net)
;;
;;This program is free software; you can redistribute it and/or
;;modify it under the terms of the GNU General Public License
;;as published by the Free Software Foundation; either version 2
;;of the License, or (at your option) any later version.
;;
;;This program is distributed in the hope that it will be useful,
;;but WITHOUT ANY WARRANTY; without even the implied warranty of
;;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;GNU General Public License for more details.
;;
;;You should have received a copy of the GNU General Public License
;;along with this program; if not, write to the Free Software
;;Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(setq sym (intern "DEFINE-KEYSYM"))
(shadowing-import sym 'xlib)
(setq sym (intern "ANGLE"))
(shadowing-import sym 'xlib)
(if (not (member :MK-DEFSYSTEM *FEATURES*))
    (load "library:subsystems/defsystem-library.x86f"))
(if (not (member :XLIB *FEATURES*))
    (load "library:subsystems/clx-library.x86f"))
(use-package :xlib)
(setf mk::*central-registry* (append (list ".") mk::*central-registry*))
(load "./agglomerate-system.lisp")
(compile-glos)
(compile-ascparser)
(compile-file "./DemoASC.lisp")
(quit)







